Package com.castlabs.android.player.exceptions

## Enum TunnelingException.Reason

- java.lang.Object
- - java.lang.Enum<TunnelingException.Reason>
  - - com.castlabs.android.player.exceptions.TunnelingException.Reason

- All Implemented Interfaces:
    `Serializable`, `Comparable<TunnelingException.Reason>`
  Enclosing class:
    TunnelingException

      public static enum TunnelingException.Reason
      extends Enum<TunnelingException.Reason>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `API_MISMATCH` |
    `NO_AUDIO_CODEC` |
    `NO_VIDEO_CODEC` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TunnelingException.Reason` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static TunnelingException.Reason[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### API_MISMATCH

          public static final TunnelingException.Reason API_MISMATCH

    - #### NO_VIDEO_CODEC

          public static final TunnelingException.Reason NO_VIDEO_CODEC

    - #### NO_AUDIO_CODEC

          public static final TunnelingException.Reason NO_AUDIO_CODEC

  - ### Method Detail

    - #### values

          public static TunnelingException.Reason[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TunnelingException.Reason c : TunnelingException.Reason.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TunnelingException.Reason valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null